Subject: [PATCH V2 5/6] x86: add CONFIG_ARM_AMBA, selected by STA2X11

From: [email-masked] (Alessandro Rubini)
Date: Tue, 3 Jul 2012 15:00:42 +0200

Peter Anvin:
> There is no problem with adding ARM or !X86 dependencies to drivers
> now and fixing them later or as required.

Ok. This is my summary of the compilation errors I have when
enabling ARM_AMBA undex x86 and enabling everything that appears
in "make oldconfig":

This is a sum up of the errors in all driver that are
enabled by telling "CONFIG_ARM_AMBA=y" in the x86 config.

   drivers/dma/pl330.c: register names conflict with arch symbols
     proposed fix: use proper prefix names

   drivers/dma/amba-pl08x.c: needs <asm/hardware/pl080.h>
     proposed fix: move pl080.h to include/linux

   drivers/gpio/gpio-pl061.c: uses chained_irq_enter/exit
     proposed fix: depend on CONFIG_ARM (the function only exists in arm)

   drivers/mmc/host/mmci.c: uses <asm/sizes.h>
   drivers/mmc/host/mmci.c: uses readsl/writesl
     proposed fix: use linux/sizes.h and provide readsl/writesl like others do

   drivers/spi/spi-pl022.c: warning for an integer size mismatch
     proposed fix: none by now

   drivers/watchdog/sp805_wdt.c: uses writel_relaxed
     proposed fix: depend on CONFIG_ARM (this is a spear-only cell by now)

So, if you agree, I would:

    - fix the two dma engines (checking pl080 against russell's pending
    patches)

    - make pl061 and sp805_wdt.c depends on CONFIG_ARM

    - temporarily do the same for mmci, which I'll make work soon as
    I have it under my pci bridge

    - ignore the warning on spi-pl022 until I find a fix

    - resubmit my enabling of arm_amba for x86 and my pci-to-amba bridge
    driver.

thanks
/alessandro